DRM_FRAMEBUFFER_REMO(9)

NAME
drm_framebuffer_remove - remove and unreference a framebuffer object

SYNOPSIS

void drm_framebuffer_remove(struct drm_framebuffer * fb);

ARGUMENTS

fb
    framebuffer to remove

DESCRIPTION

Scans all the CRTCs and planes in dev's mode_config. If they're using fb, removes it, setting it to NULL. Then drops the reference to the passed-in framebuffer. Might take the modeset locks.

Note that this function optimizes the cleanup away if the caller holds the last reference to the framebuffer. It is also guaranteed to not take the modeset locks in this case.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT